import turtle as t

# list of angles, list of lengths (same number of items!)
angles = [90.0, 90.0, 90.0, 90.0]
lengths = [100, 100, 100, 100]

# combine angles and lengths into 2D list according to index, f.eks. [[90.0,100], ... ]

angles_lengths = []  # create empty list for combined angles and lengths

# for-loop approach: loop over each item in the two lists and combine this way
for i in range(len(angles)):
    angles_lengths.append([angles[i], lengths[i]])

print("Approach with for-loop")
print(angles_lengths)  # now we have a 2D list of paired angles and lengths


# zip() approach: Much shorter/cleaner!
angles_lengths_zipped = list(
    zip(angles, lengths)
)  # alternatively, [*zip(angles, lengths)]

print("Approach with zip")
print(angles_lengths_zipped)


# we use either of these combined lists to give instructions to the turtle to draw a square:
for i in range(len(angles_lengths_zipped)):
    t.left(angles_lengths_zipped[i][0])
    t.forward(angles_lengths_zipped[i][1])
t.done()
